=== debian/changelog ===
retroarch (1.9.0-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop dmo versioning from source and packages.
  * Drop to dh-compat=12.
  * Don't BD on oss4-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Dec 2020 11:07:23 -0800

retroarch-dmo (1.9.0-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Nov 2020 15:37:11 +0100
