=== debian/control ===
Source: retroarch
Section: otherosfs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.libretro.com/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12),
               glslang-dev,
               libasound2-dev,
               libass-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libavutil-dev,
               libcaca-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libflac-dev,
               libfreetype6-dev,
               libgbm-dev (>= 9.0),
               libglm-dev,
               libjack-jackd2-dev,
               libmbedtls-dev,
               libminiupnpc-dev,
               libopenal-dev,
               libpulse-dev,
               libsdl2-dev,
               libsixel-dev,
               libssl-dev,
               libswscale-dev,
               libsystemd-dev,
               libudev-dev,
               libusb-1.0-0-dev (>= 1.0.16),
               libv4l-dev,
               libvulkan-dev,
               libx11-xcb-dev,
               libxinerama-dev,
               libxml2-dev,
               libxv-dev,
               libxxf86vm-dev,
#               oss4-dev,
               pkg-config,
               python3-dev,
               qtbase5-dev,
               quilt,
               spirv-tools,
               wayland-protocols,
               x11proto-xext-dev,
               zlib1g-dev

Package: retroarch
Architecture: any
Depends: fonts-dejavu-core,
         libretro-core-info,
         retroarch-assets,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple frontend for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API.
 It can be used as a modular multi emulator system, game engine, media
 player and 3D technical demonstration. These features are available
 through libretro cores.
 .
 It provides three built-in GUI: RGUI, XMB and GLUI.
